%bcond_with     tests

Name:           poker-engine
Version:	1.0.18
Release:        %mkrel 2
Epoch:          0
Summary:        Python library that implements poker rules
Group:          Development/Python
License:        GPL
URL:            http://pokersource.org/poker-engine/
Source0:        http://download.gna.org/pokersource/sources/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{epoch}:%{version}-%{release}-root
BuildArch:      noarch
BuildRequires:  python-libxml2
BuildRequires:  libxslt-python
BuildRequires:  python-devel
BuildRequires:  pypoker-eval-devel >= 0:132.0
BuildRequires:  python-libxml2
BuildRequires:  rsync

%description
This is a python library that implements poker rules according
to variants and betting structures specified in configuration files.
It designed to be used by a multiplayer poker server, a poker AI or a
poker client.

%package -n python-pokerengine
Summary:        Python library that implements poker rules
Group:          Development/Python
Provides:       %{name} = %{epoch}:%{version}-%{release}
Requires:       pypoker-eval >= 0:132.0
Requires:       rsync

%description -n python-pokerengine
This is a python library that implements poker rules according
to variants and betting structures specified in configuration files.
It designed to be used by a multiplayer poker server, a poker AI or a
poker client.

%package -n python-pokerengine-devel
Summary:        Poker rule implementation library development files
Group:          Development/Python
Provides:       %{name}-devel = %{epoch}:%{version}-%{release}
Requires:       python-pokerengine = %{epoch}:%{version}-%{release}
Requires:       pypoker-eval-devel >= 0:132.0

%description -n python-pokerengine-devel
This package contains files required to build applications that use
poker-engine.

%prep
%setup -q

%build
%configure2_5x
%{make}

%install
%{__rm} -rf %{buildroot}
%{makeinstall_std}

%if %with tests
%check
# upstream is aware of some check failures (currently 1 of 21)
%{make} check || :
%endif

%clean
%{__rm} -rf %{buildroot}

%files -n python-pokerengine
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_mandir}/man8/*.8*
%{_sbindir}/pokerconfigupgrade
%{_datadir}/%{name}/conf/*.xml
%{python_sitelib}/pokerengine
%config(noreplace) %{_sysconfdir}/%{name}/*

%files -n python-pokerengine-devel
%defattr(-,root,root,-)
%{_datadir}/pkgconfig/%{name}.pc

%changelog
* Sun Sep 10 2006 David Walluck <walluck@mandriva.org> 0:1.0.18-2mdv2007.0
- own directory

* Fri Sep 08 2006 David Walluck <walluck@mandriva.org> 0:1.0.18-1mdv2007.0
- - 1.0.18

* Sat Sep 02 2006 David Walluck <walluck@mandriva.org> 0:1.0.17-1mdv2007.0
- release

* Thu Jun 22 2006 Christopher Stone <chris.stone@gmail.com> 1.0.15-4
- Add patch to put pkgconfig file in %%{_datadir}

* Mon Jun 12 2006 Christopher Stone <chris.stone@gmail.com> 1.0.15-3
- pkgconfig no longer needed. It is now picked up by pypoker-eval-devel

* Thu Jun 01 2006 Christopher Stone <chris.stone@gmail.com> 1.0.15-2
- Add new BR pkgconfig
- Use macros for system commands

* Tue May 30 2006 Christopher Stone <chris.stone@gmail.com> 1.0.15-1
- Upstream sync
- Add rsync to Requires
- Remove patches and autoreconf since these have been fixed in new release

* Mon May 15 2006 Christopher Stone <chris.stone@gmail.com> 1.0.14-3
- Add Requires pypoker-eval-devel to devel package

* Sun May 14 2006 Christopher Stone <chris.stone@gmail.com> 1.0.14-2
- Add patch for noarch configuration
- Readded BuildArch of noarch
- Removed python-abi Requires
- Added %%check section
- Updated Source0 location
- Add patch to place python files in sitelib
- Replace %%{python_sitearch} with %%{python_sitelib}
- Removed unnecessary Requires
- Removed examples from -devel since this is no longer maintained by upstream

* Thu Mar 30 2006 Loic Dachary <loic at gnu.org> 1.0.14-1
- upstream sync

* Sun Mar 26 2006 Christopher Stone <chris.stone@gmail.com> 1.0.13-2
- Fix BuildRequires

* Sat Mar 25 2006 Loic Dachary <loic at gnu.org> 1.0.13-1
- upstream sync

* Fri Mar 17 2006 Christopher Stone <chris.stone@gmail.com> 1.0.12-1
- Initial RPM release
